Skip to main content
PUT
/
api
/
v2
/
account
/
settings
PUT /api/v2/account/settings — Update user settings
curl --request PUT \
  --url https://api.shuriken.trade/api/v2/account/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tradeSettings": {
    "autoEnableMultisend": true,
    "chainPresetsBuy": {},
    "chainPresetsSell": {},
    "defaultWallets": {
      "defaultWalletByNetwork": {
        "6": "wallet-sol-abc123"
      },
      "selectedWalletIdsByNetwork": {
        "6": {
          "walletIds": [
            "wallet-sol-abc123",
            "wallet-sol-def456"
          ]
        }
      }
    },
    "oneClickMode": {},
    "walletGroups": [
      {
        "archived": true,
        "createdAt": "<string>",
        "groupId": "<string>",
        "name": "<string>",
        "updatedAt": "<string>",
        "walletIds": [
          "<string>"
        ],
        "chain": "<string>"
      }
    ]
  }
}
'
{
  "data": {
    "tradeSettings": {
      "autoEnableMultisend": true,
      "chainPresetsBuy": {},
      "chainPresetsSell": {},
      "defaultWallets": {
        "defaultWalletByNetwork": {
          "6": "wallet-sol-abc123"
        },
        "selectedWalletIdsByNetwork": {
          "6": {
            "walletIds": [
              "wallet-sol-abc123",
              "wallet-sol-def456"
            ]
          }
        }
      },
      "oneClickMode": {},
      "walletGroups": [
        {
          "archived": true,
          "createdAt": "<string>",
          "groupId": "<string>",
          "name": "<string>",
          "updatedAt": "<string>",
          "walletIds": [
            "<string>"
          ],
          "chain": "<string>"
        }
      ]
    }
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Body

application/json

V2 update settings request body

tradeSettings
object
required

User trade settings response

Response

Settings updated

V2 success response envelope

data
object
required

User settings response

requestId
string
required
pagination
object

Page-based pagination info (per RFC)